Page 1 of 4 123 ... LastLast
Results 1 to 10 of 40

Thread: yast online update vs system tray update

  1. #1

    Default yast online update vs system tray update

    System tray update icon says I have updates available. I have to enter the password twice. It erases it right in the middle of typing it. When I enter yast online update, there are no updates?? The update tray icon doesn't show any updates being installed after the password is entered.

    Which one shows current updates and works?

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    37,035
    Blog Entries
    16

    Default Re: yast online update vs system tray update

    What does zypper say

    Code:
    zypper lu
    or
    Code:
    zypper patch
    Might be worth doing:

    Code:
    zypper clean --all
    then
    Code:
    rpmdb --rebuilddb
    then check
    Code:
    zypper lu
    again
    My openSUSE 13.1 KDE Box
    My Articles
    Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Jun 2008
    Location
    United Kingdom
    Posts
    5,328

    Default Re: yast online update vs system tray update

    Quote Originally Posted by lord_valarian View Post
    System tray update icon says I have updates available. I have to enter the password twice. It erases it right in the middle of typing it. When I enter yast online update, there are no updates?? The update tray icon doesn't show any updates being installed after the password is entered.

    Which one shows current updates and works?
    System tray updater is different for 11.3 v. 11.4 so what release of openSUSE?

  4. #4

    Default yast online update vs system tray update

    Quote Originally Posted by caf4926 View Post
    What does zypper say

    Code:
    zypper lu
    
    Repository 'Packman Repository' is out-of-date. You can run 'zypper refresh' as root to update it.
    Loading repository data...
    Reading installed packages...
    S | Repository         | Name            | Current Version              | Available Version            | Arch  
    --+--------------------+-----------------+------------------------------+------------------------------+-------
    v | Packman Repository | MPlayer         | 1.0rc4_r33082-1.pm.1.1       | 1.0rc4_r33082-1.pm.1.2       | x86_64
    v | Packman Repository | ffmpeg          | 0.6.201103092102git-1.pm.2.1 | 0.6.201103092102git-1.pm.2.2 | x86_64
    v | Packman Repository | libavcodec52    | 0.6.201103092102git-1.pm.2.1 | 0.6.201103092102git-1.pm.2.2 | x86_64
    v | Packman Repository | libavdevice52   | 0.6.201103092102git-1.pm.2.1 | 0.6.201103092102git-1.pm.2.2 | x86_64
    v | Packman Repository | libavfilter1    | 0.6.201103092102git-1.pm.2.1 | 0.6.201103092102git-1.pm.2.2 | x86_64
    v | Packman Repository | libavformat52   | 0.6.201103092102git-1.pm.2.1 | 0.6.201103092102git-1.pm.2.2 | x86_64
    v | Packman Repository | libavutil50     | 0.6.201103092102git-1.pm.2.1 | 0.6.201103092102git-1.pm.2.2 | x86_64
    v | Packman Repository | libpostproc51   | 0.6.201103092102git-1.pm.2.1 | 0.6.201103092102git-1.pm.2.2 | x86_64
    v | Packman Repository | libswscale0     | 0.6.201103092102git-1.pm.2.1 | 0.6.201103092102git-1.pm.2.2 | x86_64
    v | Packman Repository | libxine1-codecs | 1.1.19-2.pm.45.18            | 1.1.19-2.pm.45.19            | x86_64
    v | Packman Repository | libxvidcore4    | 1.3.0-1.pm.1.1               | 1.3.1-1.pm.1.1               | x86_64
    
    zypper patch
    Retrieving repository 'Packman Repository' metadata [done]
    Building repository 'Packman Repository' cache [done]
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    zypper clean --all
    All repositories have been cleaned up.
    
    rpmdb --rebuilddb
    
    zypper lu
    Building repository 'openSUSE-11.4-11.4-0' cache [done]
    Loading repository data...
    Reading installed packages...
    S | Repository         | Name            | Current Version              | Available Version            | Arch  
    --+--------------------+-----------------+------------------------------+------------------------------+-------
    v | Packman Repository | MPlayer         | 1.0rc4_r33082-1.pm.1.1       | 1.0rc4_r33082-1.pm.1.2       | x86_64
    v | Packman Repository | ffmpeg          | 0.6.201103092102git-1.pm.2.1 | 0.6.201103092102git-1.pm.2.2 | x86_64
    v | Packman Repository | libavcodec52    | 0.6.201103092102git-1.pm.2.1 | 0.6.201103092102git-1.pm.2.2 | x86_64
    v | Packman Repository | libavdevice52   | 0.6.201103092102git-1.pm.2.1 | 0.6.201103092102git-1.pm.2.2 | x86_64
    v | Packman Repository | libavfilter1    | 0.6.201103092102git-1.pm.2.1 | 0.6.201103092102git-1.pm.2.2 | x86_64
    v | Packman Repository | libavformat52   | 0.6.201103092102git-1.pm.2.1 | 0.6.201103092102git-1.pm.2.2 | x86_64
    v | Packman Repository | libavutil50     | 0.6.201103092102git-1.pm.2.1 | 0.6.201103092102git-1.pm.2.2 | x86_64
    v | Packman Repository | libpostproc51   | 0.6.201103092102git-1.pm.2.1 | 0.6.201103092102git-1.pm.2.2 | x86_64
    v | Packman Repository | libswscale0     | 0.6.201103092102git-1.pm.2.1 | 0.6.201103092102git-1.pm.2.2 | x86_64
    v | Packman Repository | libxine1-codecs | 1.1.19-2.pm.45.18            | 1.1.19-2.pm.45.19            | x86_64
    v | Packman Repository | libxvidcore4    | 1.3.0-1.pm.1.1               | 1.3.1-1.pm.1.1               | x86_64
    
    zypper refresh
    Repository 'Packman Repository' is up to date.
    Repository 'openSUSE-11.4-Non-Oss' is up to date.
    Repository 'openSUSE-11.4-Oss' is up to date.
    Repository 'openSUSE-11.4-Update' is up to date.
    All repositories have been refreshed.
    ??

  5. #5
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    37,035
    Blog Entries
    16

    Default Re: yast online update vs system tray update

    Now run

    zypper up
    My openSUSE 13.1 KDE Box
    My Articles
    Was I any help? If yes: Click the star below

  6. #6

    Default Re: yast online update vs system tray update

    Hi

    As I wish to pass to KDE desktop, i installed openSUSE 11.4 KDE on a test node. I also have troubles with updates for 2 days (first ones worked fine). ( FYI no trouble with Gnome updates for 11.4 on other nodes.)

    Both with online update, KpackageKit and command line zypper up. It fails at each time with" timezone" and "timezone-java" 2011d.-0.2.1 updates which are first treated. At 56% of loading the rate falls at 0kb/s and after a time on the loading process window a message appears "Timeout exceeded when accessing 'http://download.opensuse.org/update/11.4/rpm/noarch/timezone-java-2011d-0.2.1.noarch.rpm". Even if i uncheck timezone radio button in the updating list all other packages have the same issue.

    I tried to load timezone rpm directly on the "download http://download.opensuse.org/update/11.4/rpm/i586/" and there is the same trouble for loading them on live. I tried other files > ones have the same issue, some other ones are quickly loaded. I tried to load timezone files on "noarch" folder instead of "i568" > same issue, on "scr" folder loadings work fine. But don't work with software manager YAST2 for updating. Is it maybe due to an overload of servers charge (i tried nights & days) ? Is it a technical trouble ? Anybody with a solution will be welcome.
    Thanks a lot. See u.

  7. #7

    Default yast online update vs system tray update

    Quote Originally Posted by caf4926 View Post
    Now run

    zypper up
    suse 11.4

    Code:
    zypper up
    Loading repository data...
    Reading installed packages...
    
    The following package updates will NOT be installed:
      gstreamer-0_10-plugin-gnomevfs gstreamer-0_10-plugin-hal gstreamer-0_10-plugins-base 
      gstreamer-0_10-plugins-good k3b libgstapp-0_10-0 libgstinterfaces-0_10-0 libquicktime 
      libwavpack1 mjpegtools taglib 
    
    The following NEW package is going to be installed:
      openexr 
    
    The following package is going to be REMOVED:
      OpenEXR 
    
    The following packages are going to be upgraded:
      ffmpeg libavcodec52 libavdevice52 libavfilter1 libavformat52 libavutil50 libpostproc51 
      libswscale0 libxine1-codecs libxvidcore4 MPlayer 
    
    11 packages to upgrade, 1 new, 1 to remove.
    Overall download size: 19.0 MiB. After the operation, 719.0 KiB will be freed.
    Continue? [y/n/?] (y): y
    Retrieving package openexr-1.7.0-3.1.x86_64 (1/12), 81.0 KiB (291.0 KiB unpacked)
    Retrieving: openexr-1.7.0-3.1.x86_64.rpm [done (99.9 KiB/s)]
    Retrieving package libxvidcore4-1.3.1-1.pm.1.1.x86_64 (2/12), 205.0 KiB (708.0 KiB unpacked)
    Retrieving: libxvidcore4-1.3.1-1.pm.1.1.x86_64.rpm [done (57.1 KiB/s)]
    Retrieving package libavutil50-0.6.201103092102git-1.pm.2.2.x86_64 (3/12), 52.0 KiB (109.0 KiB unpacked)
    Retrieving: libavutil50-0.6.201103092102git-1.pm.2.2.x86_64.rpm [done]
    Retrieving package libswscale0-0.6.201103092102git-1.pm.2.2.x86_64 (4/12), 72.0 KiB (223.0 KiB unpacked)
    Retrieving: libswscale0-0.6.201103092102git-1.pm.2.2.x86_64.rpm [done]
    Retrieving package libpostproc51-0.6.201103092102git-1.pm.2.2.x86_64 (5/12), 20.0 KiB (43.0 KiB unpacked)
    Retrieving: libpostproc51-0.6.201103092102git-1.pm.2.2.x86_64.rpm [done]
    Retrieving package libavcodec52-0.6.201103092102git-1.pm.2.2.x86_64 (6/12), 2.0 MiB (5.3 MiB unpacked)
    Retrieving: libavcodec52-0.6.201103092102git-1.pm.2.2.x86_64.rpm [done (87.5 KiB/s)]
    Retrieving package MPlayer-1.0rc4_r33082-1.pm.1.2.x86_64 (7/12), 15.3 MiB (41.1 MiB unpacked)
    Retrieving: MPlayer-1.0rc4_r33082-1.pm.1.2.x86_64.rpm [done (116.3 KiB/s)]
    Retrieving package libavformat52-0.6.201103092102git-1.pm.2.2.x86_64 (8/12), 394.0 KiB (968.0 KiB unpacked)
    Retrieving: libavformat52-0.6.201103092102git-1.pm.2.2.x86_64.rpm [done (100.9 KiB/s)]
    Retrieving package libxine1-codecs-1.1.19-2.pm.45.19.x86_64 (9/12), 416.0 KiB (1.3 MiB unpacked)
    Retrieving: libxine1-codecs-1.1.19-2.pm.45.19.x86_64.rpm [done (91.9 KiB/s)]
    Retrieving package libavdevice52-0.6.201103092102git-1.pm.2.2.x86_64 (10/12), 26.0 KiB (53.0 KiB unpacked)
    Retrieving: libavdevice52-0.6.201103092102git-1.pm.2.2.x86_64.rpm [done]
    Retrieving package libavfilter1-0.6.201103092102git-1.pm.2.2.x86_64 (11/12), 51.0 KiB (125.0 KiB unpacked)
    Retrieving: libavfilter1-0.6.201103092102git-1.pm.2.2.x86_64.rpm [done]
    Retrieving package ffmpeg-0.6.201103092102git-1.pm.2.2.x86_64 (12/12), 369.0 KiB (1.8 MiB unpacked)
    Retrieving: ffmpeg-0.6.201103092102git-1.pm.2.2.x86_64.rpm [done (88.0 KiB/s)]
    Installing: openexr-1.7.0-3.1 [done]
    Installing: libxvidcore4-1.3.1-1.pm.1.1 [done]
    Installing: libavutil50-0.6.201103092102git-1.pm.2.2 [done]
    Installing: libswscale0-0.6.201103092102git-1.pm.2.2 [done]
    Installing: libpostproc51-0.6.201103092102git-1.pm.2.2 [done]
    Installing: libavcodec52-0.6.201103092102git-1.pm.2.2 [done]
    Installing: MPlayer-1.0rc4_r33082-1.pm.1.2 [done]
    Installing: libavformat52-0.6.201103092102git-1.pm.2.2 [done]
    Installing: libxine1-codecs-1.1.19-2.pm.45.19 [done]
    Installing: libavdevice52-0.6.201103092102git-1.pm.2.2 [done]
    Installing: libavfilter1-0.6.201103092102git-1.pm.2.2 [done]
    Installing: ffmpeg-0.6.201103092102git-1.pm.2.2 [done]
    
    zypper up
    Loading repository data...
    Reading installed packages...
    
    The following package updates will NOT be installed:
      gstreamer-0_10-plugin-gnomevfs gstreamer-0_10-plugin-hal gstreamer-0_10-plugins-base 
      gstreamer-0_10-plugins-good k3b libgstapp-0_10-0 libgstinterfaces-0_10-0 libquicktime 
      libwavpack1 mjpegtools taglib 
    
    Nothing to do.
    It worked.

    Now, next time what order of commands to do an update through the terminal?

    zypper up

    Thanks.

  8. #8
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    4,983
    Blog Entries
    3

    Default Re: yast online update vs system tray update

    Quote Originally Posted by lord_valarian View Post
    I have to enter the password twice. It erases it right in the middle of typing it. When I enter yast online update, there are no updates??
    Yes, that sometime happens to me. I find it a bit confusing. The updater is a bit buggy.

    That happened to me today. But when I looked in "/var/log/zypp/history" it showed that the updates had in fact been applied.
    opensuse factory; KDE 4.13.80 (main desktop);
    opensuse 13.1, KDE 4.11.5 (laptop);

  9. #9
    Join Date
    Jun 2008
    Location
    United Kingdom
    Posts
    5,328

    Default Re: yast online update vs system tray update

    Quote Originally Posted by nrickert View Post
    Yes, that sometime happens to me. I find it a bit confusing. The updater is a bit buggy.
    The updater is Kpackagekit, which seems to be fragile and slow. I find it easier to use YaST online update, or Zypper.

  10. #10
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    37,035
    Blog Entries
    16

    Default Re: yast online update vs system tray update

    @lord_valarian
    I tend to use Software Management only
    Once I have the packages switch to Packman I just do this:
    http://dl.dropbox.com/u/10573557/Swi...ate-system.png

    That's the QT interface. If you use Gnome you will need to switch to QT in Yast
    Switch Yast Interface to QT

    I assume you know about switching Packman
    http://dl.dropbox.com/u/10573557/Swi...man-switch.png
    My openSUSE 13.1 KDE Box
    My Articles
    Was I any help? If yes: Click the star below

Page 1 of 4 123 ... LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •